sensorfw: CompassChain Class Reference

sensorfw

Public Slots | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
CompassChain Class Reference

`#include <compasschain.h>`

Inheritance diagram for CompassChain:

## Public Slots
bool | start ()
bool | stop ()
void | resetCalibration ()

## Public Member Functions
bool | compassEnabled () const
void | setCompassEnabled (bool enabled)
quint16 | declinationValue () const

## Static Public Member Functions
static AbstractChain * | factoryMethod (const QString &id)

## Protected Member Functions
| CompassChain (const QString &id)
| ~CompassChain ()

## Properties
bool | compassEnabled
quint16 | declinationValue

## Detailed Description

Definition at line 37 of file compasschain.h.

## Constructor & Destructor Documentation

## ◆ CompassChain()

CompassChain::CompassChain | ( | const QString & | id | ) |
| protected

## ◆ ~CompassChain()

CompassChain::~CompassChain | ( |  | ) |
| protected

## Member Function Documentation

## ◆ compassEnabled()

bool CompassChain::compassEnabled | ( |  | ) | const

## ◆ declinationValue()

quint16 CompassChain::declinationValue | ( |  | ) | const

## ◆ factoryMethod()

static AbstractChain* CompassChain::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Definition at line 45 of file compasschain.h.

## ◆ resetCalibration

void CompassChain::resetCalibration | ( |  | ) |
| slot

## ◆ setCompassEnabled()

void CompassChain::setCompassEnabled | ( | bool | enabled | ) |

## ◆ start

bool CompassChain::start | ( |  | ) |
| slot

## ◆ stop

bool CompassChain::stop | ( |  | ) |
| slot

## Property Documentation

## ◆ compassEnabled

bool CompassChain::compassEnabled
| readwrite

Definition at line 1 of file compasschain.h.

## ◆ declinationValue

quint16 CompassChain::declinationValue
| read

Definition at line 1 of file compasschain.h.

The documentation for this class was generated from the following file:

- chains/compasschain/compasschain.h